← Tags
Remove Tags
Remove one or more tags from an existing contact. Tags that do not exist on the contact are silently ignored.
DELETE
/contacts/:contactId/tagsScope
contacts.write
Auth Method
Bearer Token
Token Type
Sub-Account / Company
Header Parameters
| Parameter | Type | Description |
|---|---|---|
Authorizationrequired | string | Bearer {access_token} |
Versionrequired | string | API Version Possible values: 2021-07-28 |
Content-Typerequired | string | application/json |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
contactIdrequired | string | The unique ID of the contact to remove tags from. |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
tagsrequired | string[] | An array of tag names to remove from the contact. Tags not present on the contact are silently ignored. |
Example RequestcURL
curl -X DELETE \
'https://services.leadconnectorhq.com/contacts/{contactId}/tags' \
-H 'Authorization: Bearer {access_token}' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"tags": ["newsletter", "austin-tx"]
}'Response — 200 OK
Example ResponseJSON
{
"tags": ["newsletter", "austin-tx"]
}Safe Operation
Removing tags does not delete the contact or any other data. If you pass a tag that is not currently on the contact, the API will ignore it and return a successful response.
